using System;
using System.Data;
using System.Data.SqlClient ;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class InsertUpdateCSharp : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string strQuery;
        SqlCommand cmd;

        //insert
        strQuery = "insert into customers (CustomerID, CompanyName) values(@CustomerID, @CompanyName)";
        cmd = new SqlCommand(strQuery);
        cmd.Parameters.AddWithValue("@CustomerID", "A234");
        cmd.Parameters.AddWithValue("@CompanyName", "DCB");
        InsertUpdateData(cmd);

        //update
         strQuery = "update customers set CompanyName=@CompanyName where CustomerID=@CustomerID";
         cmd = new SqlCommand(strQuery);
         cmd.Parameters.AddWithValue("@CustomerID", "A234");
         cmd.Parameters.AddWithValue("@CompanyName", "BCD");
         InsertUpdateData(cmd);
    }

    private Boolean InsertUpdateData(SqlCommand cmd)
    {
        String strConnString = System.Configuration.ConfigurationManager.ConnectionStrings["conString"].ConnectionString;
        SqlConnection con = new SqlConnection(strConnString);
        cmd.CommandType = CommandType.Text;
        cmd.Connection = con;
        try
        {
            con.Open();
            cmd.ExecuteNonQuery(); 
            return true;
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
            return false;
        }
        finally
        {
            con.Close();
            con.Dispose();
        }
    }
}
