Imports System.Data
Imports System.Data.SqlClient
Partial Class Insert_Update
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim strQuery As String
        Dim cmd As SqlCommand

        'insert
        strQuery = "insert into customers (CustomerID, CompanyName) values(@CustomerID, @CompanyName)"
        cmd = New SqlCommand(strQuery)
        cmd.Parameters.AddWithValue("@CustomerID", "AZNL")
        cmd.Parameters.AddWithValue("@CompanyName", "ABC")
        InsertUpdateData(cmd)


        'update
        strQuery = "update customers set CompanyName=@CompanyName where CustomerID=@CustomerID"
        cmd = New SqlCommand(strQuery)
        cmd.Parameters.AddWithValue("@CustomerID", "AZNL")
        cmd.Parameters.AddWithValue("@CompanyName", "XYZ")
        InsertUpdateData(cmd)
    End Sub

    Public Function InsertUpdateData(ByVal cmd As SqlCommand) As Boolean
        Dim strConnString As String = System.Configuration.ConfigurationManager.ConnectionStrings("conString").ConnectionString
        Dim con As New SqlConnection(strConnString)
        cmd.CommandType = CommandType.Text
        cmd.Connection = con
        Try
            con.Open()
            cmd.ExecuteNonQuery()
            Return True
        Catch ex As Exception
            Response.Write(ex.Message)
            Return False
        Finally
            con.Close()
            con.Dispose()
        End Try
    End Function
End Class
